#pragma once
#include "AI_Player.h"
#include "LogicPlayer.h"

class AI_Player_Impl :	public AI_Player
{
public:
	AI_Player_Impl(LogicPlayer* player) : AI_Player(p_standard), _player(player) {}
	~AI_Player_Impl() {};

	MOVE_ID calculate_next_move();
	MOVE_ID current_move() { return _player->_history->front()->move; }
	void reset() { }

private:
	std::vector<double> _weights;
	LogicPlayer* _player;
};
